unit uSubForm1;

interface

uses
  System.SysUtils, System.Classes, WEBLib.Graphics, WEBLib.Forms, WEBLib.Dialogs,
  Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls;

type
  TSubForm1 = class(TWebForm)
    WebLabel1: TWebLabel;
    procedure WebFormUnload(Sender: TObject);
    procedure WebFormDeactivate(Sender: TObject);
    procedure WebFormBeforeUnload(Sender: TObject; var AMessage: string);
    procedure WebFormClose(Sender: TObject; var Action: TCloseAction);
    procedure WebFormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure WebFormCreate(Sender: TObject);
    procedure WebFormDestroy(Sender: TObject);
    procedure WebFormShow(Sender: TObject);
  private
  end;

var
  SubForm1: TSubForm1;

implementation

{$R *.dfm}

Uses Web;

procedure TSubForm1.WebFormBeforeUnload(Sender: TObject; var AMessage: string);
begin
 Console.log('Form1 BeforeUnload');
end;

procedure TSubForm1.WebFormClose(Sender: TObject; var Action: TCloseAction);
begin
 Console.log('Form1 Close');
end;

procedure TSubForm1.WebFormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
 Console.log('Form1 CloseQuery');
end;

procedure TSubForm1.WebFormCreate(Sender: TObject);
begin
 Console.log('Form1 Create');
end;

procedure TSubForm1.WebFormDeactivate(Sender: TObject);
begin
 Console.log('Form1 Deactivate');
end;

procedure TSubForm1.WebFormDestroy(Sender: TObject);
begin
 Console.log('Form1 Destroy');
end;

procedure TSubForm1.WebFormShow(Sender: TObject);
begin
 Console.log('Form1 Show');
end;

procedure TSubForm1.WebFormUnload(Sender: TObject);
begin
 Console.log('Form1 Unload');
end;

end.